Page MenuHomePhabricator

UsageTracking: create integration test for usage tracking updates
Closed, ResolvedPublic1 Story Points

Description

The integration test should save a page using different entities in different ways, and the verify that the respective usages are accessible via the UsageLookup service.

The integration test should further verify that entity usages included via a template are tracked, and are updated when the template is changed (once T99510 is implemented).

Once T99512 is implemented, the integration test should also verify that label usage is tracked for all languages the page has been rendered (and cached) in.

Finally, the integration test should check whether usage trackign info is correctly removed when a page is deleted.

Event Timeline

daniel created this task.May 19 2015, 6:14 PM
daniel updated the task description. (Show Details)
daniel raised the priority of this task from to High.
daniel claimed this task.
daniel set Security to None.
daniel added subscribers: daniel, Aklapper, Rical and 5 others.
daniel updated the task description. (Show Details)May 20 2015, 9:00 AM

Change 212293 had a related patch set uploaded (by Daniel Kinzler):
Integration test for usage tracking.

https://gerrit.wikimedia.org/r/212293

Tobi_WMDE_SW edited a custom field.May 25 2015, 11:00 AM
Rical added a comment.May 25 2015, 8:12 PM

When we move a task in a Sprint workboard, the email put it in [Changed Project Column] which seems not enough descriptive. Perhaps [scheduling] could be better ?

Change 212293 merged by jenkins-bot:
Integration test for usage tracking.

https://gerrit.wikimedia.org/r/212293

daniel closed this task as Resolved.Jun 3 2015, 12:52 PM
Rical removed a subscriber: Rical.Jun 3 2015, 6:05 PM